package ch.usi.inf.sa4.sanmarinoes.smarthut.dto;

import javax.validation.constraints.NotNull;

/** A 'dim' event from a button dimmer. */
public class ButtonDimmerDimRequest {

    /** The device id */
    @NotNull private Long id;

    public enum DimType {
        UP,
        DOWN;
    }

    /** Whether the dim is up or down */
    @NotNull private DimType dimType;

    public DimType getDimType() {
        return dimType;
    }

    public void setDimType(DimType dimType) {
        this.dimType = dimType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
