package ch.usi.inf.sa4.sanmarinoes.smarthut.dto;

import javax.validation.constraints.NotNull;

/** An on/off/toggle operation on a switch */
public class SwitchOperationRequest {

    /** The device id */
    @NotNull private Long id;

    public enum OperationType {
        ON,
        OFF,
        TOGGLE
    }

    /** The type of switch operation */
    @NotNull private SwitchOperationRequest.OperationType type;

    public OperationType getType() {
        return type;
    }

    public void setType(OperationType type) {
        this.type = type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
