package ch.usi.inf.sa4.sanmarinoes.smarthut.models;

import javax.persistence.*;

/**
 * Represents a generic output device, i.e. something that causes some behaviour (light, smartPlugs,
 * ...).
 */
@Entity
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public abstract class OutputDevice extends Device {
    public OutputDevice(String kind) {
        super(kind, FlowType.OUTPUT);
    }
}
