package ch.usi.inf.sa4.sanmarinoes.smarthut.dto;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

public class KnobDimmerDimRequest {

    /** The device id */
    @NotNull private Long id;

    /** The absolute intensity value */
    @NotNull
    @Min(0)
    @Max(100)
    private Integer intensity;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getIntensity() {
        return intensity;
    }

    public void setIntensity(Integer intensity) {
        this.intensity = intensity;
    }
}
